Bug 975999 - SELinux is preventing /usr/libexec/nm-ssh-service from 'execute' accesses on the file /usr/bin/ssh.
SELinux is preventing /usr/libexec/nm-ssh-service from 'execute' accesses on ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ec3ff26a751415b112630a36a72...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 14:12 EDT by Tomas Vanderka
Modified: 2013-07-03 20:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-57.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 20:55:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Vanderka 2013-06-19 14:12:27 EDT
Description of problem:
1. configure ssh vpn
2. enable it
3. avc denial
SELinux is preventing /usr/libexec/nm-ssh-service from 'execute' accesses on the file /usr/bin/ssh.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that nm-ssh-service should be allowed execute access on the ssh file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep nm-ssh-service /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:object_r:ssh_exec_t:s0
Target Objects                /usr/bin/ssh [ file ]
Source                        nm-ssh-service
Source Path                   /usr/libexec/nm-ssh-service
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           NetworkManager-
                              ssh-0.0.3-0.8.20130419git3d5321b.fc19.x86_64
Target RPM Packages           openssh-clients-6.2p1-4.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-48.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-301.fc19.x86_64 #1 SMP Tue
                              Jun 4 00:30:04 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-06-19 20:08:23 CEST
Last Seen                     2013-06-19 20:08:23 CEST
Local ID                      540bafad-8ab4-424a-8e45-948f1f7d8945

Raw Audit Messages
type=AVC msg=audit(1371665303.369:1568): avc:  denied  { execute } for  pid=26650 comm="nm-ssh-service" name="ssh" dev="dm-0" ino=1054012 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file


type=SYSCALL msg=audit(1371665303.369:1568): arch=x86_64 syscall=execve success=no exit=EACCES a0=191def0 a1=192b5d0 a2=7fff4bdb7230 a3=7fff4bdb6d90 items=0 ppid=26637 pid=26650 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=nm-ssh-service exe=/usr/libexec/nm-ssh-service subj=system_u:system_r:NetworkManager_t:s0 key=(null)

Hash: nm-ssh-service,NetworkManager_t,ssh_exec_t,file,execute

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-301.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-06-21 11:10:45 EDT
commit ceca25c772f9cd3d146b3135b37b7cbb02379fa5
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Fri Jun 21 17:10:17 2013 +0200

    Add labeling for /usr/libexec/nm-ssh-service
Comment 2 Fedora Update System 2013-06-26 16:18:51 EDT
selinux-policy-3.12.1-57.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-57.fc19
Comment 3 Fedora Update System 2013-06-27 11:49:16 EDT
Package selinux-policy-3.12.1-57.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-57.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11846/selinux-policy-3.12.1-57.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-03 20:55:25 EDT
selinux-policy-3.12.1-57.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.